Subject: Re: [PATCH 2/5] ipv4: Kill ip_rt_frag_needed().

From: Steffen Klassert <[email-masked]>
Date: Thu, 14 Jun 2012 07:58:55 +0200

On Wed, Jun 13, 2012 at 10:42:03PM -0700, David Miller wrote:
> 
> Ok, then if we want to do the fragmentation locally then we have to
> consider my initial patch which updates the PMTU in raw_err().
> 
> Did you test that?  I mean specifically, this patch:
> 
> http://marc.info/?l=linux-netdev&m=133945597319917&w=2
> 
> If it works for you, I will try to extend it to the other datagram
> cases.
> 

Yes, I can confirm that this one works. It restores the old behaviour.